Bug 164373 - --rsh-command option does not work
--rsh-command option does not work
Product: Fedora Legacy
Classification: Retired
Component: cpio (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-07-27 09:54 EDT by Marco Colombo
Modified: 2007-04-18 13:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-14 04:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marco Colombo 2005-07-27 09:54:29 EDT
This is a regression. My backup scripts broke after the installation of the
latest update, cpio-2.5-5.2.legacy.i386 on FC1.

The --rsh-command option is silently ignored, cpio insists in using rsh. I've
been using the same scripts for years, to access tape devices via ssh, with
--rsh-command /usr/bin/ssh. The full command line used for the test is:

cpio --rsh-command=/usr/bin/ssh -itv -H crc --block-size=512 -I tape@db2:/dev/st0

Both tcpdump and strace confirmed that cpio is trying to access port 512 instead
of running ssh. The same command performed on a FC2 (cpio-2.5-6) works just fine.
Comment 1 Pekka Savola 2005-07-28 02:39:24 EDT
This is pretty strange as I don't see anything that could affect --rsh-command,
either when looking at the diffs between the source rpms, or the diffs between
binary rpms (w/ rpm-build-compare.sh).

I guess you could try rebuilding the src.rpm as-is and trying again.  It might
work; if not, try commenting out the umask patch and/or lfs patch and rebuilding.

I suspect the first problem because I see in the configure.in:

AC_CHECKING(for remote shell)
if test -f /usr/ucb/rsh || test -f /usr/bin/remsh || test -f /usr/bin/rsh ||
  test -f /usr/bsd/rsh || test -f /usr/bin/nsh; then

as the packages are built on mach environment which doesn't have 'rsh', the
results might be different.

Comment 2 Marc Deslauriers 2005-07-28 08:07:47 EDT
Marco, I'll build some test packages tonight that you can try out to see if we
pinpointed the problem.
Comment 3 Marc Deslauriers 2005-07-28 19:22:07 EDT
I put some test packages for FC1 here:


Could you please test them and tell me if --rsh-command works?

Comment 4 Pekka Savola 2005-09-05 03:57:32 EDT
Marco, any update on whether this fixed the problem or not?
Comment 5 Marco Colombo 2005-09-05 08:58:31 EDT
I'm sorry for the late reply, I just came back from vacation.
Yes, cpio-2.5-5.3.legacy.i386.rpm  fixes the problem.

Note You need to log in before you can comment on or make changes to this bug.